org.apache.nutch.storage

## Class WebPage.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<WebPage>
    - - org.apache.nutch.storage.WebPage.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<WebPage>
  Enclosing class:
    WebPage

      public static class WebPage.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<WebPage>
      implements org.apache.avro.data.RecordBuilder<WebPage>

  RecordBuilder for WebPage instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebPage` | `build()`
    `WebPage.Builder` | `clearBaseUrl()` Clears the value of the 'baseUrl' field
    `WebPage.Builder` | `clearBatchId()` Clears the value of the 'batchId' field
    `WebPage.Builder` | `clearContent()` Clears the value of the 'content' field
    `WebPage.Builder` | `clearContentType()` Clears the value of the 'contentType' field
    `WebPage.Builder` | `clearFetchInterval()` Clears the value of the 'fetchInterval' field
    `WebPage.Builder` | `clearFetchTime()` Clears the value of the 'fetchTime' field
    `WebPage.Builder` | `clearHeaders()` Clears the value of the 'headers' field
    `WebPage.Builder` | `clearInlinks()` Clears the value of the 'inlinks' field
    `WebPage.Builder` | `clearMarkers()` Clears the value of the 'markers' field
    `WebPage.Builder` | `clearMetadata()` Clears the value of the 'metadata' field
    `WebPage.Builder` | `clearModifiedTime()` Clears the value of the 'modifiedTime' field
    `WebPage.Builder` | `clearOutlinks()` Clears the value of the 'outlinks' field
    `WebPage.Builder` | `clearParseStatus()` Clears the value of the 'parseStatus' field
    `WebPage.Builder` | `clearPrevFetchTime()` Clears the value of the 'prevFetchTime' field
    `WebPage.Builder` | `clearPrevModifiedTime()` Clears the value of the 'prevModifiedTime' field
    `WebPage.Builder` | `clearPrevSignature()` Clears the value of the 'prevSignature' field
    `WebPage.Builder` | `clearProtocolStatus()` Clears the value of the 'protocolStatus' field
    `WebPage.Builder` | `clearReprUrl()` Clears the value of the 'reprUrl' field
    `WebPage.Builder` | `clearRetriesSinceFetch()` Clears the value of the 'retriesSinceFetch' field
    `WebPage.Builder` | `clearScore()` Clears the value of the 'score' field
    `WebPage.Builder` | `clearSignature()` Clears the value of the 'signature' field
    `WebPage.Builder` | `clearSitemaps()` Clears the value of the 'sitemaps' field
    `WebPage.Builder` | `clearStatus()` Clears the value of the 'status' field
    `WebPage.Builder` | `clearStmPriority()` Clears the value of the 'stmPriority' field
    `WebPage.Builder` | `clearText()` Clears the value of the 'text' field
    `WebPage.Builder` | `clearTitle()` Clears the value of the 'title' field
    `java.lang.CharSequence` | `getBaseUrl()` Gets the value of the 'baseUrl' field
    `java.lang.CharSequence` | `getBatchId()` Gets the value of the 'batchId' field
    `java.nio.ByteBuffer` | `getContent()` Gets the value of the 'content' field
    `java.lang.CharSequence` | `getContentType()` Gets the value of the 'contentType' field
    `java.lang.Integer` | `getFetchInterval()` Gets the value of the 'fetchInterval' field
    `java.lang.Long` | `getFetchTime()` Gets the value of the 'fetchTime' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getHeaders()` Gets the value of the 'headers' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getInlinks()` Gets the value of the 'inlinks' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getMarkers()` Gets the value of the 'markers' field
    `java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer>` | `getMetadata()` Gets the value of the 'metadata' field
    `java.lang.Long` | `getModifiedTime()` Gets the value of the 'modifiedTime' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getOutlinks()` Gets the value of the 'outlinks' field
    `ParseStatus` | `getParseStatus()` Gets the value of the 'parseStatus' field
    `java.lang.Long` | `getPrevFetchTime()` Gets the value of the 'prevFetchTime' field
    `java.lang.Long` | `getPrevModifiedTime()` Gets the value of the 'prevModifiedTime' field
    `java.nio.ByteBuffer` | `getPrevSignature()` Gets the value of the 'prevSignature' field
    `ProtocolStatus` | `getProtocolStatus()` Gets the value of the 'protocolStatus' field
    `java.lang.CharSequence` | `getReprUrl()` Gets the value of the 'reprUrl' field
    `java.lang.Integer` | `getRetriesSinceFetch()` Gets the value of the 'retriesSinceFetch' field
    `java.lang.Float` | `getScore()` Gets the value of the 'score' field
    `java.nio.ByteBuffer` | `getSignature()` Gets the value of the 'signature' field
    `java.util.Map<java.lang.CharSequence,java.lang.CharSequence>` | `getSitemaps()` Gets the value of the 'sitemaps' field
    `java.lang.Integer` | `getStatus()` Gets the value of the 'status' field
    `java.lang.Float` | `getStmPriority()` Gets the value of the 'stmPriority' field
    `java.lang.CharSequence` | `getText()` Gets the value of the 'text' field
    `java.lang.CharSequence` | `getTitle()` Gets the value of the 'title' field
    `boolean` | `hasBaseUrl()` Checks whether the 'baseUrl' field has been set
    `boolean` | `hasBatchId()` Checks whether the 'batchId' field has been set
    `boolean` | `hasContent()` Checks whether the 'content' field has been set
    `boolean` | `hasContentType()` Checks whether the 'contentType' field has been set
    `boolean` | `hasFetchInterval()` Checks whether the 'fetchInterval' field has been set
    `boolean` | `hasFetchTime()` Checks whether the 'fetchTime' field has been set
    `boolean` | `hasHeaders()` Checks whether the 'headers' field has been set
    `boolean` | `hasInlinks()` Checks whether the 'inlinks' field has been set
    `boolean` | `hasMarkers()` Checks whether the 'markers' field has been set
    `boolean` | `hasMetadata()` Checks whether the 'metadata' field has been set
    `boolean` | `hasModifiedTime()` Checks whether the 'modifiedTime' field has been set
    `boolean` | `hasOutlinks()` Checks whether the 'outlinks' field has been set
    `boolean` | `hasParseStatus()` Checks whether the 'parseStatus' field has been set
    `boolean` | `hasPrevFetchTime()` Checks whether the 'prevFetchTime' field has been set
    `boolean` | `hasPrevModifiedTime()` Checks whether the 'prevModifiedTime' field has been set
    `boolean` | `hasPrevSignature()` Checks whether the 'prevSignature' field has been set
    `boolean` | `hasProtocolStatus()` Checks whether the 'protocolStatus' field has been set
    `boolean` | `hasReprUrl()` Checks whether the 'reprUrl' field has been set
    `boolean` | `hasRetriesSinceFetch()` Checks whether the 'retriesSinceFetch' field has been set
    `boolean` | `hasScore()` Checks whether the 'score' field has been set
    `boolean` | `hasSignature()` Checks whether the 'signature' field has been set
    `boolean` | `hasSitemaps()` Checks whether the 'sitemaps' field has been set
    `boolean` | `hasStatus()` Checks whether the 'status' field has been set
    `boolean` | `hasStmPriority()` Checks whether the 'stmPriority' field has been set
    `boolean` | `hasText()` Checks whether the 'text' field has been set
    `boolean` | `hasTitle()` Checks whether the 'title' field has been set
    `WebPage.Builder` | `setBaseUrl(java.lang.CharSequence value)` Sets the value of the 'baseUrl' field
    `WebPage.Builder` | `setBatchId(java.lang.CharSequence value)` Sets the value of the 'batchId' field
    `WebPage.Builder` | `setContent(java.nio.ByteBuffer value)` Sets the value of the 'content' field
    `WebPage.Builder` | `setContentType(java.lang.CharSequence value)` Sets the value of the 'contentType' field
    `WebPage.Builder` | `setFetchInterval(int value)` Sets the value of the 'fetchInterval' field
    `WebPage.Builder` | `setFetchTime(long value)` Sets the value of the 'fetchTime' field
    `WebPage.Builder` | `setHeaders(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'headers' field
    `WebPage.Builder` | `setInlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'inlinks' field
    `WebPage.Builder` | `setMarkers(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'markers' field
    `WebPage.Builder` | `setMetadata(java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> value)` Sets the value of the 'metadata' field
    `WebPage.Builder` | `setModifiedTime(long value)` Sets the value of the 'modifiedTime' field
    `WebPage.Builder` | `setOutlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'outlinks' field
    `WebPage.Builder` | `setParseStatus(ParseStatus value)` Sets the value of the 'parseStatus' field
    `WebPage.Builder` | `setPrevFetchTime(long value)` Sets the value of the 'prevFetchTime' field
    `WebPage.Builder` | `setPrevModifiedTime(long value)` Sets the value of the 'prevModifiedTime' field
    `WebPage.Builder` | `setPrevSignature(java.nio.ByteBuffer value)` Sets the value of the 'prevSignature' field
    `WebPage.Builder` | `setProtocolStatus(ProtocolStatus value)` Sets the value of the 'protocolStatus' field
    `WebPage.Builder` | `setReprUrl(java.lang.CharSequence value)` Sets the value of the 'reprUrl' field
    `WebPage.Builder` | `setRetriesSinceFetch(int value)` Sets the value of the 'retriesSinceFetch' field
    `WebPage.Builder` | `setScore(float value)` Sets the value of the 'score' field
    `WebPage.Builder` | `setSignature(java.nio.ByteBuffer value)` Sets the value of the 'signature' field
    `WebPage.Builder` | `setSitemaps(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)` Sets the value of the 'sitemaps' field
    `WebPage.Builder` | `setStatus(int value)` Sets the value of the 'status' field
    `WebPage.Builder` | `setStmPriority(float value)` Sets the value of the 'stmPriority' field
    `WebPage.Builder` | `setText(java.lang.CharSequence value)` Sets the value of the 'text' field
    `WebPage.Builder` | `setTitle(java.lang.CharSequence value)` Sets the value of the 'title' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseUrl

          public java.lang.CharSequence getBaseUrl()

      Gets the value of the 'baseUrl' field

    - #### setBaseUrl

          public WebPage.Builder setBaseUrl(java.lang.CharSequence value)

      Sets the value of the 'baseUrl' field

    - #### hasBaseUrl

          public boolean hasBaseUrl()

      Checks whether the 'baseUrl' field has been set

    - #### clearBaseUrl

          public WebPage.Builder clearBaseUrl()

      Clears the value of the 'baseUrl' field

    - #### getStatus

          public java.lang.Integer getStatus()

      Gets the value of the 'status' field

    - #### setStatus

          public WebPage.Builder setStatus(int value)

      Sets the value of the 'status' field

    - #### hasStatus

          public boolean hasStatus()

      Checks whether the 'status' field has been set

    - #### clearStatus

          public WebPage.Builder clearStatus()

      Clears the value of the 'status' field

    - #### getFetchTime

          public java.lang.Long getFetchTime()

      Gets the value of the 'fetchTime' field

    - #### setFetchTime

          public WebPage.Builder setFetchTime(long value)

      Sets the value of the 'fetchTime' field

    - #### hasFetchTime

          public boolean hasFetchTime()

      Checks whether the 'fetchTime' field has been set

    - #### clearFetchTime

          public WebPage.Builder clearFetchTime()

      Clears the value of the 'fetchTime' field

    - #### getPrevFetchTime

          public java.lang.Long getPrevFetchTime()

      Gets the value of the 'prevFetchTime' field

    - #### setPrevFetchTime

          public WebPage.Builder setPrevFetchTime(long value)

      Sets the value of the 'prevFetchTime' field

    - #### hasPrevFetchTime

          public boolean hasPrevFetchTime()

      Checks whether the 'prevFetchTime' field has been set

    - #### clearPrevFetchTime

          public WebPage.Builder clearPrevFetchTime()

      Clears the value of the 'prevFetchTime' field

    - #### getFetchInterval

          public java.lang.Integer getFetchInterval()

      Gets the value of the 'fetchInterval' field

    - #### setFetchInterval

          public WebPage.Builder setFetchInterval(int value)

      Sets the value of the 'fetchInterval' field

    - #### hasFetchInterval

          public boolean hasFetchInterval()

      Checks whether the 'fetchInterval' field has been set

    - #### clearFetchInterval

          public WebPage.Builder clearFetchInterval()

      Clears the value of the 'fetchInterval' field

    - #### getRetriesSinceFetch

          public java.lang.Integer getRetriesSinceFetch()

      Gets the value of the 'retriesSinceFetch' field

    - #### setRetriesSinceFetch

          public WebPage.Builder setRetriesSinceFetch(int value)

      Sets the value of the 'retriesSinceFetch' field

    - #### hasRetriesSinceFetch

          public boolean hasRetriesSinceFetch()

      Checks whether the 'retriesSinceFetch' field has been set

    - #### clearRetriesSinceFetch

          public WebPage.Builder clearRetriesSinceFetch()

      Clears the value of the 'retriesSinceFetch' field

    - #### getModifiedTime

          public java.lang.Long getModifiedTime()

      Gets the value of the 'modifiedTime' field

    - #### setModifiedTime

          public WebPage.Builder setModifiedTime(long value)

      Sets the value of the 'modifiedTime' field

    - #### hasModifiedTime

          public boolean hasModifiedTime()

      Checks whether the 'modifiedTime' field has been set

    - #### clearModifiedTime

          public WebPage.Builder clearModifiedTime()

      Clears the value of the 'modifiedTime' field

    - #### getPrevModifiedTime

          public java.lang.Long getPrevModifiedTime()

      Gets the value of the 'prevModifiedTime' field

    - #### setPrevModifiedTime

          public WebPage.Builder setPrevModifiedTime(long value)

      Sets the value of the 'prevModifiedTime' field

    - #### hasPrevModifiedTime

          public boolean hasPrevModifiedTime()

      Checks whether the 'prevModifiedTime' field has been set

    - #### clearPrevModifiedTime

          public WebPage.Builder clearPrevModifiedTime()

      Clears the value of the 'prevModifiedTime' field

    - #### getProtocolStatus

          public ProtocolStatus getProtocolStatus()

      Gets the value of the 'protocolStatus' field

    - #### setProtocolStatus

          public WebPage.Builder setProtocolStatus(ProtocolStatus value)

      Sets the value of the 'protocolStatus' field

    - #### hasProtocolStatus

          public boolean hasProtocolStatus()

      Checks whether the 'protocolStatus' field has been set

    - #### clearProtocolStatus

          public WebPage.Builder clearProtocolStatus()

      Clears the value of the 'protocolStatus' field

    - #### getContent

          public java.nio.ByteBuffer getContent()

      Gets the value of the 'content' field

    - #### setContent

          public WebPage.Builder setContent(java.nio.ByteBuffer value)

      Sets the value of the 'content' field

    - #### hasContent

          public boolean hasContent()

      Checks whether the 'content' field has been set

    - #### clearContent

          public WebPage.Builder clearContent()

      Clears the value of the 'content' field

    - #### getContentType

          public java.lang.CharSequence getContentType()

      Gets the value of the 'contentType' field

    - #### setContentType

          public WebPage.Builder setContentType(java.lang.CharSequence value)

      Sets the value of the 'contentType' field

    - #### hasContentType

          public boolean hasContentType()

      Checks whether the 'contentType' field has been set

    - #### clearContentType

          public WebPage.Builder clearContentType()

      Clears the value of the 'contentType' field

    - #### getPrevSignature

          public java.nio.ByteBuffer getPrevSignature()

      Gets the value of the 'prevSignature' field

    - #### setPrevSignature

          public WebPage.Builder setPrevSignature(java.nio.ByteBuffer value)

      Sets the value of the 'prevSignature' field

    - #### hasPrevSignature

          public boolean hasPrevSignature()

      Checks whether the 'prevSignature' field has been set

    - #### clearPrevSignature

          public WebPage.Builder clearPrevSignature()

      Clears the value of the 'prevSignature' field

    - #### getSignature

          public java.nio.ByteBuffer getSignature()

      Gets the value of the 'signature' field

    - #### setSignature

          public WebPage.Builder setSignature(java.nio.ByteBuffer value)

      Sets the value of the 'signature' field

    - #### hasSignature

          public boolean hasSignature()

      Checks whether the 'signature' field has been set

    - #### clearSignature

          public WebPage.Builder clearSignature()

      Clears the value of the 'signature' field

    - #### getTitle

          public java.lang.CharSequence getTitle()

      Gets the value of the 'title' field

    - #### setTitle

          public WebPage.Builder setTitle(java.lang.CharSequence value)

      Sets the value of the 'title' field

    - #### hasTitle

          public boolean hasTitle()

      Checks whether the 'title' field has been set

    - #### clearTitle

          public WebPage.Builder clearTitle()

      Clears the value of the 'title' field

    - #### getText

          public java.lang.CharSequence getText()

      Gets the value of the 'text' field

    - #### setText

          public WebPage.Builder setText(java.lang.CharSequence value)

      Sets the value of the 'text' field

    - #### hasText

          public boolean hasText()

      Checks whether the 'text' field has been set

    - #### clearText

          public WebPage.Builder clearText()

      Clears the value of the 'text' field

    - #### getParseStatus

          public ParseStatus getParseStatus()

      Gets the value of the 'parseStatus' field

    - #### setParseStatus

          public WebPage.Builder setParseStatus(ParseStatus value)

      Sets the value of the 'parseStatus' field

    - #### hasParseStatus

          public boolean hasParseStatus()

      Checks whether the 'parseStatus' field has been set

    - #### clearParseStatus

          public WebPage.Builder clearParseStatus()

      Clears the value of the 'parseStatus' field

    - #### getScore

          public java.lang.Float getScore()

      Gets the value of the 'score' field

    - #### setScore

          public WebPage.Builder setScore(float value)

      Sets the value of the 'score' field

    - #### hasScore

          public boolean hasScore()

      Checks whether the 'score' field has been set

    - #### clearScore

          public WebPage.Builder clearScore()

      Clears the value of the 'score' field

    - #### getReprUrl

          public java.lang.CharSequence getReprUrl()

      Gets the value of the 'reprUrl' field

    - #### setReprUrl

          public WebPage.Builder setReprUrl(java.lang.CharSequence value)

      Sets the value of the 'reprUrl' field

    - #### hasReprUrl

          public boolean hasReprUrl()

      Checks whether the 'reprUrl' field has been set

    - #### clearReprUrl

          public WebPage.Builder clearReprUrl()

      Clears the value of the 'reprUrl' field

    - #### getHeaders

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getHeaders()

      Gets the value of the 'headers' field

    - #### setHeaders

          public WebPage.Builder setHeaders(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'headers' field

    - #### hasHeaders

          public boolean hasHeaders()

      Checks whether the 'headers' field has been set

    - #### clearHeaders

          public WebPage.Builder clearHeaders()

      Clears the value of the 'headers' field

    - #### getOutlinks

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getOutlinks()

      Gets the value of the 'outlinks' field

    - #### setOutlinks

          public WebPage.Builder setOutlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'outlinks' field

    - #### hasOutlinks

          public boolean hasOutlinks()

      Checks whether the 'outlinks' field has been set

    - #### clearOutlinks

          public WebPage.Builder clearOutlinks()

      Clears the value of the 'outlinks' field

    - #### getInlinks

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getInlinks()

      Gets the value of the 'inlinks' field

    - #### setInlinks

          public WebPage.Builder setInlinks(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'inlinks' field

    - #### hasInlinks

          public boolean hasInlinks()

      Checks whether the 'inlinks' field has been set

    - #### clearInlinks

          public WebPage.Builder clearInlinks()

      Clears the value of the 'inlinks' field

    - #### getMarkers

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getMarkers()

      Gets the value of the 'markers' field

    - #### setMarkers

          public WebPage.Builder setMarkers(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'markers' field

    - #### hasMarkers

          public boolean hasMarkers()

      Checks whether the 'markers' field has been set

    - #### clearMarkers

          public WebPage.Builder clearMarkers()

      Clears the value of the 'markers' field

    - #### getMetadata

          public java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> getMetadata()

      Gets the value of the 'metadata' field

    - #### setMetadata

          public WebPage.Builder setMetadata(java.util.Map<java.lang.CharSequence,java.nio.ByteBuffer> value)

      Sets the value of the 'metadata' field

    - #### hasMetadata

          public boolean hasMetadata()

      Checks whether the 'metadata' field has been set

    - #### clearMetadata

          public WebPage.Builder clearMetadata()

      Clears the value of the 'metadata' field

    - #### getBatchId

          public java.lang.CharSequence getBatchId()

      Gets the value of the 'batchId' field

    - #### setBatchId

          public WebPage.Builder setBatchId(java.lang.CharSequence value)

      Sets the value of the 'batchId' field

    - #### hasBatchId

          public boolean hasBatchId()

      Checks whether the 'batchId' field has been set

    - #### clearBatchId

          public WebPage.Builder clearBatchId()

      Clears the value of the 'batchId' field

    - #### getSitemaps

          public java.util.Map<java.lang.CharSequence,java.lang.CharSequence> getSitemaps()

      Gets the value of the 'sitemaps' field

    - #### setSitemaps

          public WebPage.Builder setSitemaps(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> value)

      Sets the value of the 'sitemaps' field

    - #### hasSitemaps

          public boolean hasSitemaps()

      Checks whether the 'sitemaps' field has been set

    - #### clearSitemaps

          public WebPage.Builder clearSitemaps()

      Clears the value of the 'sitemaps' field

    - #### getStmPriority

          public java.lang.Float getStmPriority()

      Gets the value of the 'stmPriority' field

    - #### setStmPriority

          public WebPage.Builder setStmPriority(float value)

      Sets the value of the 'stmPriority' field

    - #### hasStmPriority

          public boolean hasStmPriority()

      Checks whether the 'stmPriority' field has been set

    - #### clearStmPriority

          public WebPage.Builder clearStmPriority()

      Clears the value of the 'stmPriority' field

    - #### build

          public WebPage build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<WebPage>`

Copyright © 2019 The Apache Software Foundation